using System;
using System.Collections.Generic;
using System.Text;

namespace MySample.Web
{
    public class RefreshArgs
    {
        #region Public properties
        #region --> Source
        private string _source;
        [Json("Source")]
        public string Source
        {
            get { return _source; }
            set { _source = value; }
        }
        #endregion
        #region --> SourceType
        private string _sourceType;
        [Json("SourceType")]
        public string SourceType
        {
            get { return _sourceType; }
            set { _sourceType = value; }
        }
        #endregion
        #region --> UserAction
        private string _userAction;
        [Json("UserAction")]
        public string UserAction
        {
            get { return _userAction; }
            set { _userAction = value; }
        }
        #endregion
        #endregion
        public override string ToString()
        {
            return this.ToString('\'');
        }

        public string ToString(char stringDelimiter)
        {
            JsonSerializer s = new JsonSerializer(this.GetType(), stringDelimiter);
            return s.Serialize(this);
        }
    }
}
